## kde-spectacle 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,25 @@
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(SPECTACLE_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
-set(QT_MIN_VERSION     "5.10.0")
+set(QT_MIN_VERSION     "5.15.0")
 set(KF5_MIN_VERSION    "5.73.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(
-    CMAKE_MODULE_PATH
-        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
-        ${CMAKE_MODULE_PATH}
-        ${ECM_MODULE_PATH}
-)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-# require c++14
+# require c++17
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -39,13 +34,15 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 include(ECMQueryQmake)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)
-
 
 find_package(
     Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
         Core
+        Concurrent
         Widgets
         DBus
         PrintSupport
@@ -111,7 +108,14 @@
     find_package(X11 REQUIRED)
     find_package(kColorPicker REQUIRED)
     set(KIMAGEANNOTATOR_FOUND 1)
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
+        set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+    endif()
 endif()
+
+# add the spectacle.upd file
+install(FILES conf/update/spectacle_clipboard.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
+install(FILES conf/update/50-clipboard_settings_change.py DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
 
 # fail build if none of the platform backends can be found
 if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
@@ -130,14 +134,16 @@
 add_subdirectory(doc)
 add_subdirectory(tests)
 
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES spectacle.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES spectacle.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+
 # summaries
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 ki18n_install(po)
 if (KF5DocTools_FOUND)
  kdoctools_install(po)
