=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 configure_file(org.kde.spectacle.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop)
 install(
     PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
@@ -13,7 +13,7 @@
 
 install(
     FILES spectacle.notifyrc
-    DESTINATION ${KNOTIFYRC_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}
 )
 
 install(
@@ -26,12 +26,18 @@
     DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
 )
 install(
+    FILES spectacle_rememberregion.upd
+    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
+)
+install(
     FILES spectacle_newConfig.upd
     DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
 )
 add_executable(spectacle-migrate-shortcuts MigrateShortcuts.cpp)
-target_link_libraries(spectacle-migrate-shortcuts Qt5::DBus KF5::GlobalAccel KF5::ConfigCore KF5::XmlGui KF5::I18n)
+target_link_libraries(spectacle-migrate-shortcuts Qt::DBus KF5::GlobalAccel KF5::ConfigCore KF5::XmlGui KF5::I18n)
+add_executable(spectacle-migrate-rememberregion MigrateRememberRegion.cpp)
+target_link_libraries(spectacle-migrate-rememberregion KF5::ConfigCore KF5::XmlGui)
 install(
-    TARGETS spectacle-migrate-shortcuts
+    TARGETS spectacle-migrate-shortcuts spectacle-migrate-rememberregion
     DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin
 )
