=== icons/CMakeLists.txt ===
# default icons for the hicolor theme.
# have ecm install them

ecm_install_icons(
    ICONS
        16-apps-spectacle.png
        22-apps-spectacle.png
        32-apps-spectacle.png
        48-apps-spectacle.png
        sc-apps-spectacle.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
