=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
            Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -17,7 +18,7 @@
                libkf5globalaccel-dev (>= 5.73.0~),
                libkf5i18n-dev (>= 5.73.0~),
                libkf5kio-dev (>= 5.73.0~),
-               libkf5kipi-dev,
+               libkf5kipi-dev (>= 4:21.12.3~),
                libkf5newstuff-dev (>= 5.73.0~),
                libkf5notifications-dev (>= 5.73.0~),
                libkf5purpose-dev (>= 5.73.0~),
@@ -40,8 +41,8 @@
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 Rules-Requires-Root: no
 
 Package: kde-spectacle
