## kde-spectacle 22.12.0

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libkimageannotator-dev,
-               libqt5svg5-dev (>= 5.15.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               libqt5svg5-dev (>= 5.15.2~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb-cursor-dev,
                libxcb-image0-dev,
@@ -37,7 +37,7 @@
                libxcb-xfixes0-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/spectacle
