## kde-spectacle 22.12.1

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/spectacle
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
