## kde-spectacle 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -11,23 +11,20 @@
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
-set(QT_MIN_VERSION     "5.15.0")
-set(KF5_MIN_VERSION    "5.73.0")
+set(QT_MIN_VERSION     "5.15.2")
+set(KF5_MIN_VERSION    "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-# require c++17
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_EXTENSIONS OFF)
-
-# set up kf5
+# set up standard kde build settings
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+# used cmake macros
+
 include(ECMInstallIcons)
 include(ECMSetupVersion)
 include(FeatureSummary)
@@ -37,10 +34,10 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)
+# find dependencies
 
 find_package(
-    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+    Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
         Core
         Concurrent
         Widgets
@@ -60,20 +57,18 @@
         I18n
         KIO
         WindowSystem
-        DocTools
         NewStuff
         GlobalAccel
         XmlGui
         Wayland
+        GuiAddons
 )
-
 # optional components
-
-find_package(KF5Kipi)
-if (KF5Kipi_FOUND)
-    set(KIPI_FOUND 1)
-endif ()
-
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+    "Tools to generate documentation"
+    TYPE OPTIONAL
+)
 find_package(KF5Purpose)
 if (KF5Purpose_FOUND)
     set(PURPOSE_FOUND 1)
@@ -82,7 +77,9 @@
 find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
 set(XCB_COMPONENTS_ERRORS FALSE)
 if (XCB_FOUND)
-	find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
+    endif()
 endif()
 set(XCB_COMPONENTS_FOUND TRUE)
 if(NOT XCB_XFIXES_FOUND)
@@ -102,14 +99,21 @@
 	set(XCB_COMPONENTS_FOUND FALSE)
 endif()
 
-find_package(kImageAnnotator)
-
+if (QT_MAJOR_VERSION STREQUAL "5") # For the moment kImageAnnotator is not ported to qt6
+    find_package(kImageAnnotator)
+endif()
 if(kImageAnnotator_FOUND)
     find_package(X11 REQUIRED)
     find_package(kColorPicker REQUIRED)
     set(KIMAGEANNOTATOR_FOUND 1)
     if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
         set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+    endif()
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.6.0)
+        set(KIMAGEANNOTATOR_HAS_EXTRA_TOOLS 1)
+    endif()
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.6.1)
+        set(KIMAGEANNOTATOR_HAS_FIXED_SIZEHINT 1)
     endif()
 endif()
 
@@ -123,7 +127,19 @@
 endif()
 
 # locate qdbus in the Qt path because not every distro makes a symlink at /usr/bin/qdbus
-query_qmake(QtBinariesDir QT_INSTALL_BINS)
+if (QT_MAJOR_VERSION EQUAL "5")
+    query_qmake(QtBinariesDir QT_INSTALL_BINS)
+else()
+    MESSAGE(STATUS "need to find QtBinariesDir")
+endif()
+# setup handling of deprecated Qt & KF API
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 # hand off to subdirectories
 
@@ -131,8 +147,13 @@
 add_subdirectory(dbus)
 add_subdirectory(desktop)
 add_subdirectory(icons)
-add_subdirectory(doc)
 add_subdirectory(tests)
+
+if (KF5DocTools_FOUND)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+ki18n_install(po)
 
 ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
@@ -144,7 +165,3 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
