=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Aurélien COUDERC <coucouf@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libkcolorpicker-dev,
@@ -36,7 +36,6 @@
                libxcb-util-dev,
                libxcb-xfixes0-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
@@ -48,7 +47,7 @@
 Package: kde-spectacle
 Section: graphics
 Architecture: any
-Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends}
+Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends},
 Description: Screenshot capture utility
  Spectacle captures images of the screen. It can capture the whole screen,
  a specified region, an individual window, or only part of a window.
