## kde-spectacle 23.03.70~git20230206.a3c04c69

=== debian/changelog ===
kde-spectacle (23.03.70~git20230206.a3c04c69-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230206.a3c04c69).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Feb 2023 23:07:59 +0100
