=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5kipi-dev (>= 4:23.08.1~),
+               libkf5kipi-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5purpose-dev (>= 5.73.0~),
